Loading...
Searching...
No Matches
mongocxx::options::index::wiredtiger_storage_options Class Referencefinal

`#include <mongocxx/v_noabi/mongocxx/options/index.hpp>`

## Description

The optional WiredTiger storage engine options for indexes.

Deprecated
  Use mongocxx::v_noabi::options::index::storage_engine instead.

## Public Member Functions

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & | config_string () const
| The current config_string setting.
void | config_string (bsoncxx::v_noabi::string::view_or_value config_string)
| Set the WiredTiger configuration string.

## Member Function Documentation

## config_string() [1/2]

bsoncxx::v_noabi::stdx::optional< bsoncxx::v_noabi::string::view_or_value > const & mongocxx::v_noabi::options::index::wiredtiger_storage_options::config_string | ( |  | ) | const

inline

The current config_string setting.

Returns
  The current config_string.

## config_string() [2/2]

void mongocxx::v_noabi::options::index::wiredtiger_storage_options::config_string | ( | bsoncxx::v_noabi::string::view_or_value | config_string | ) |

inline

Set the WiredTiger configuration string.

Parameters

  config_string | The WiredTiger configuration string.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/options/index.hpp